Summary: A Red Hat sysadmin utility program launcher for X.
Name: control-panel
Version: 3.18
Release: 4
Copyright: GPL
Group: Applications/System
Source: control-panel-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Red Hat control-panel is a GUI application which launches various
X-based system administration tools.

You should install control-panel if you want to use a centralized
point-and-click interface to launch X-based sysadmin utilities.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make \
	DESTDIR=$RPM_BUILD_ROOT \
	OWNER= \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_libdir} \
	install install-man

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/control-panel
%{_mandir}/man8/control-panel.8*
%{_libdir}/rhs/control-panel/loopy
%{_libdir}/rhs/control-panel/dialog.tcl
%{_libdir}/rhs/control-panel/bindings.tcl
%config /etc/X11/applnk/System/control-panel.desktop

%changelog
* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Mon Jul 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- merge Kjartan Maraas's patch for i18n support (#14499)
- use $(RPM_OPT_FLAGS) instead of -O2 when compiling

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- account for cases where the path given is fully qualified, and attempt to
  use the PATH if an exact exec() fails

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- sizeof(char) == 1

* Sun Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to /usr/share/man

* Fri Mar 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- prevent malformed .init files from making control-panel fall down, go boom

* Wed Mar 29 2000 Bill Nottingham <notting@redhat.com>
- fix two off-by-ones that cause random explosions (michal@hardata.com)

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bug #9023

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- fix .desktop file.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip control-panel

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- quick hack so orientation change will work

* Tue Mar 09 1999 Michael Fulbright <drmike@redhat.com>
- fixed problem due to switching to gtk+ 1.2

* Tue Feb 23 1999 Michael Johnson <johnsonm@redhat.com>
- updated text
- moved to desktop files from wmconfig files

* Mon Dec 14 1998 Michael Johnson <johnsonm@redhat.com>
- fixed missing include files, updated to use gtk-config

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Erik Troan <ewt@redhat.com>
- included changes from rhad labs to update things for new gtk

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed improper geometry handling

* Tue Nov  4 1997 Otto Hammersmith <otto@redhat.com>
- control panel now obeys the -geometry option

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- updated version... added bindings.tcl

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- added loopy files
- updated version

* Fri Oct 17 1997 Otto Hammersmith <otto@redhat.com>
- Replaced the tcl/tk version with a gtk+ version in C.  No longer
  noarch... gee, what a loss.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
